PUT
/
institutions
/
oauth
/
{institutionId}
Update OAuth Application
curl --request PUT \
  --url https://sandbox-api.cardcore.cloud/institutions/oauth/{institutionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Updated Banking App",
  "description": "Updated description",
  "websiteUrl": "https://myapp.com",
  "scopes": [
    "READ"
  ]
}
'
{
  "statusCode": 200,
  "message": "Institution OAuth updated successfully",
  "data": {
    "_id": "6a143e0164e77fc7a0e2b5ea",
    "institution": "68da3e6080b90fbbb96716c9",
    "name": "Prince Muteh2",
    "description": "aearsoms",
    "redirectUri": [],
    "isVerified": true,
    "isOfficial": false,
    "institutionId": "53f1e54df75bbab63c5859d780498c1a",
    "subject": "[email protected], CN=PRINCE, OU=, O=PRINCE, L=PRINCE, ST=PRINCE, C=Ng",
    "scopes": [
      "*"
    ],
    "grantType": "client_credentials",
    "isDeleted": false,
    "createdBy": "68da3e6180b90fbbb96716cb",
    "createdAt": "2026-05-25T12:18:09.005Z",
    "updatedAt": "2026-05-25T12:21:10.883Z",
    "id": "6a143e0164e77fc7a0e2b5ea"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

institutionId
string
required

Path parameter: institutionId.

Body

application/json
name
string
required
description
string
required
websiteUrl
string<uri>
required
scopes
string[]
required

Response

200 - application/json

Update OAuth Application completed successfully.

The response is of type object.